Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226956 - Default install of F7t1 missed dependencies.
Summary: Default install of F7t1 missed dependencies.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pungi
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 08:55 UTC by David Woodhouse
Modified: 2013-01-10 01:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-23 03:28:14 UTC


Attachments (Terms of Use)
install.log (deleted)
2007-02-02 08:58 UTC, David Woodhouse
no flags Details

Description David Woodhouse 2007-02-02 08:55:30 UTC
On a default install of F7t1 on ppc64, I get control-center.ppc64 installed but
gnome-settings-daemon won't start up because libraries which it requires are
missing. I removed both versions of control-center and installed the 32-bit one
alone, and this is what I see if I try to install the 64-bit one...

[root@net2-100 RPMS]# rpm -Uhv control-center-2.17.90-3.fc7.ppc64.rpm 
error: Failed dependencies:
        libICE.so.6()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libORBit-2.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libSM.so.6()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libX11.so.6()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libXcursor.so.1()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libXext.so.6()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libXft.so.2()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libXi.so.6()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libXrandr.so.2()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libXrender.so.1()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libXss.so.1()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libXxf86misc.so.1()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libart_lgpl_2.so.2()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libasound.so.2()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libasound.so.2(ALSA_0.9)(64bit) is needed by
control-center-2.17.90-3.fc7.ppc64
        libatk-1.0.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libaudiofile.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libbonobo-2.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libbonobo-activation.so.4()(64bit) is needed by
control-center-2.17.90-3.fc7.ppc64
        libbonoboui-2.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libcairo.so.2()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libdbus-1.so.3()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libdbus-glib-1.so.2()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libebook-1.2.so.9()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libedataserver-1.2.so.9()(64bit) is needed by
control-center-2.17.90-3.fc7.ppc64
        libeel-2.so.2()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libesd.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libfontconfig.so.1()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libfreetype.so.6()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libgailutil.so.18()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libgconf-2.so.4()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libgdk-x11-2.0.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libgdk_pixbuf-2.0.so.0()(64bit) is needed by
control-center-2.17.90-3.fc7.ppc64
        libglade-2.0.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libglib-2.0.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libgmodule-2.0.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libgnome-2.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libgnome-desktop-2.so.2()(64bit) is needed by
control-center-2.17.90-3.fc7.ppc64
        libgnome-keyring.so.0()(64bit) is needed by
control-center-2.17.90-3.fc7.ppc64
        libgnome-menu.so.2()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libgnomecanvas-2.so.0()(64bit) is needed by
control-center-2.17.90-3.fc7.ppc64
        libgnomekbd.so.1()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libgnomekbdui.so.1()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libgnomeui-2.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libgnomevfs-2.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libgobject-2.0.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libgstaudio-0.10.so.0()(64bit) is needed by
control-center-2.17.90-3.fc7.ppc64
        libgstinterfaces-0.10.so.0()(64bit) is needed by
control-center-2.17.90-3.fc7.ppc64
        libgstreamer-0.10.so.0()(64bit) is needed by
control-center-2.17.90-3.fc7.ppc64
        libgthread-2.0.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libgtk-x11-2.0.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libhal.so.1()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libnautilus-extension.so.1()(64bit) is needed by
control-center-2.17.90-3.fc7.ppc64
        libpango-1.0.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libpangocairo-1.0.so.0()(64bit) is needed by
control-center-2.17.90-3.fc7.ppc64
        libpangoft2-1.0.so.0()(64bit) is needed by
control-center-2.17.90-3.fc7.ppc64
        libpng12.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libpopt.so.0()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        librsvg-2.so.2()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libstartup-notification-1.so.0()(64bit) is needed by
control-center-2.17.90-3.fc7.ppc64
        libxklavier.so.11()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64
        libxml2.so.2()(64bit) is needed by control-center-2.17.90-3.fc7.ppc64

Comment 1 David Woodhouse 2007-02-02 08:58:55 UTC
Created attachment 147200 [details]
install.log

There's a whole bunch of 64-bit packages without the required dependencies.
Mostly, it's packages I probably shouldn't have have 64-bit versions of anyway.
I really don't need 64-bit Evolution. I'm quite _happy_ with its RSS being
limited to 4GiB :)

Comment 2 David Woodhouse 2007-02-02 09:17:56 UTC
If RPM were to install files of the _primary_ arch (x86_64 or ppc) when biarch
packages are installed side by side, instead of always installing the 64-bit
package even when that's the secondary architecture, this would be much less of
an issue -- although we're still installing a bunch of packages for the
secondary arch that we shouldn't. The fix for _that_ issue is probably to have a
tag in the RPM itself saying whether it's to be biarch or not -- the 'does it
have -devel' heuristic was the best we could do in short order but it's nowhere
near good enough.

Comment 3 Jesse Keating 2007-02-23 03:28:14 UTC
I'm pretty sure I fixed the flaw in pungi wrt the secondary arch.


Note You need to log in before you can comment on or make changes to this bug.